Обновления | WordPress Россия

Опубликовано: 01.09.2018

Вчера закончил свой вариант локализации свежей версии многопользовательской версии (WordPress MU). Перевод был основан на моем прошлом переводе для версии WPMU 1.3.3, добавлены все новые строки от WordPress 2.5.1 и дополнительно все еще раз пересмотрел и подкорректировал. Всего исправлено около 300 орфографических и стилистических ошибок в текстах, заменены некоторые выражения. Если вы все же найдете ошибки, просьба сообщать о них через форму Контактов .

Скачать локализованный дистрибутив в форматах ZIP и TGZ .

Присутствует также локализованный README файл с наиболее важными моментами настройки и сохраненная страница с описанием правильной настройки субдоменов.

По всем вопросам – на на форум . Прежде чем задавать вопросы, пользуйтесь поиском .

Что нового в новой версии 1.5.1 и отличия от 1.3.3:

1. Увеличена безопасность (шифрование паролей). Напоминаю еще раз для тех кто ленится читать инструкции в файле конфигурации wp-config-sample.php:

Если вы ставите систему впервые, то обязательно измените строки, в которых указаны фразы

define('SECRET_KEY', 'put your unique phrase here'); // Измените это на уникальную фразу.

define('SECRET_SALT', 'put your unique phrase here'); // Измените это на уникальную фразу.

впишите вместо стандартных фраз какое нибудь длинное мудреное предложение на русском в английской раскладке или просто набор разных спецсимволов. ВАМ НЕ НУЖНО ЗАПОМИНАТЬ ЭТУ ФРАЗУ, ВЫ ЕЕ БОЛЬШЕ НИГДЕ НЕ БУДЕТЕ ВВОДИТЬ.

Это относится и к обычной версии WordPress 2.5.1

2. Полностью изменен дизайн админ-панели. Т.к. версия WPMU 1.5.1 основана на WP 2.5.1 То и выглядит она точно также!

Большое отличие от версии 1.3.3: если раньше у вас было несколько блогов, то в админке их заголовки все были в одном выпадающем меню. Теперь если у вас несколько блогов то все их заголовки располагаются вверху страницы закладками(табами), а если блогов очень много и они не вмещаются в строке, то появляется пункт ВСЕ БЛОГИ(выпадающий список). В общем разберетесь без проблем.

3. Про совместимость плагинов для WPMU 1.5.1 – используйте плагины в которых указана совместимость с версией 2.5 и выше! Старые версии плагинов, которые “до версии WP 2.3″ могут не работать также как не работают и в версии WP 2.5.1

Обновляться с версии 1.3-1.3.3 очень просто, если конечно вы не вносили изменения в движок.

Достаточно просто распаковать новую версию на сервер и при первом входе в админку вам будет предложено внести пару новых строк в файл конфигурации wp-config.php.

После внесения строк система вам автоматически предложит снова войти в админку.

Затем нужно пройти в главном блоге в меню АДМИНИСТРИРОВАНИЕ – ОБНОВЛЕНИЕ и нажать одноименную кнопку.

Все ваши блоги будут обновлены в течение нескольких секунд/минут в зависимости от наполненности сайта контентом! В дистрибутиве присутствуют скриншоты чтобы было более понятно.

Если вы ставите систему впервые, то инструкцию по включению русского языка вы также найдете в дистрибутиве – в отдельном каталоге присутствует html страничка и flash-видео демонстрация.

Напоминаю что WordPress MU – это система НЕ ДЛЯ ИНДИВИДУАЛЬНОГО БЛОГА, а для создания блогхостинга/community и т.п.

Для обычного блога нужна обычная версия WordPress 2.5.1

rss